Public Member Functions | Public Attributes | List of all members
WPS8TableInternal::State Struct Reference

Internal: the state of a WPS8Table. More...

## Public Member Functions
| State ()
| constructor More...
void | initTypeMaps ()
| initialize the type map More...

## Public Attributes
int | m_version
| the version More...
int | m_numPages
| the number page More...
std::map< int, Table > | m_tableMap
| a map id -> table More...
std::map< int, int > | m_MCLDTypes
| the MCLD type More...

## Detailed Description

Internal: the state of a WPS8Table.

## Constructor & Destructor Documentation

## ◆ State()

WPS8TableInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ initTypeMaps()

void WPS8TableInternal::State::initTypeMaps | ( |  | ) |

initialize the type map

## Member Data Documentation

## ◆ m_MCLDTypes

std::map<int,int> WPS8TableInternal::State::m_MCLDTypes

the MCLD type

## ◆ m_numPages

int WPS8TableInternal::State::m_numPages

the number page

## ◆ m_tableMap

std::map<int, Table> WPS8TableInternal::State::m_tableMap

a map id -> table

## ◆ m_version

int WPS8TableInternal::State::m_version

the version

The documentation for this struct was generated from the following file:

- WPS8Table.cpp